# 78. Vaicājums: atrast "Laukus" pēc "externalKey"

Atrodiet "Laukus" pēc trešās puses externalKey, kas iekļauts "Lauka" reģistrācijas laikā.

### <mark style="color:orandža;">VARIANTS 1</mark> izmantojot getFields vaicājumu

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FindFieldsByExternalKeyOption1 {
  getFields(filtrs: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    kopējaisSkaits
    fields {
      uuid
      nosaukums
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:orandža;">VARIANTS 2</mark> izmantojot getFarms vaicājumu

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      nosaukums
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/78.-vaicajums-atrast-laukus-pec-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
